<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides access to HighCharts Series Bubble Data Types
 *
 * @package    HighChart/Types
 * @category   Helper
 * @author     Deon George
 * @copyright  (c) 2012-2015 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class HighChart_Type_Bubble extends HighChart_Type {
	protected $_type = 'bubble';
	protected $_required_axis = array('x','y','z');

	public function as_array(array $options=array()) {
		$result = array();

		foreach ($this->_sdata as $k=>$v)
			if (in_array($k,array('x','y','z')))
				$result[$k] = $v;

		$result['name'] = $this->_stitle;
		$result['id'] = $this->_sid;

		return $result;
	}
}
